## streamlink 1.5.0%2Bdfsg

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    = -W
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/streamlink.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/streamlink.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/streamlink"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/streamlink"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## streamlink 0.9.0+dfsg.2

=== debian/changelog ===
streamlink (0.9.0+dfsg.2-3) unstable; urgency=low

  * Fix livestreamer description length

 -- Alexis Murzeau <amubtdx@gmail.com>  Sat, 30 Dec 2017 20:31:13 +0100

streamlink (0.9.0+dfsg.2-2) unstable; urgency=low

  * Add symlink in livestreamer transitional package
  * Override livestreamer package version to be greater than the one in stable
  * Enhance livestreamer transitional package description

 -- Alexis Murzeau <amubtdx@gmail.com>  Sat, 30 Dec 2017 18:14:01 +0100

streamlink (0.9.0+dfsg.2-1) unstable; urgency=low

  * Exlude flattr-badge and font-awesome which might not be dfsg-compatible
  * Bump standard version, no change required
  * Remove streaming platform references in description
  * Add fonts-roboto-slab to recommends
  * Add transitional package livestreamer

 -- Alexis Murzeau <amubtdx@gmail.com>  Fri, 29 Dec 2017 01:08:32 +0100

streamlink (0.9.0-1) unstable; urgency=low

  * New upstream version 0.9.0
  * Recommend python3-socks for socks proxy support
  * Drop documentation patches applied upstream

 -- Alexis Murzeau <amubtdx@gmail.com>  Thu, 16 Nov 2017 21:17:09 +0100

streamlink (0.8.1-4) unstable; urgency=low

  * Use gzip format in deb files
    - bintray repository does not support control.tar.xz

 -- Alexis Murzeau <amubtdx@gmail.com>  Thu, 26 Oct 2017 01:05:14 +0200

streamlink (0.8.1-3) unstable; urgency=low

  * Change mail address to gmail

 -- Alexis Murzeau <amubtdx@gmail.com>  Mon, 23 Oct 2017 23:11:00 +0200

streamlink (0.8.1-2) unstable; urgency=low

  * Update pkg descriptions from actual README.md
  * Lintian fix unnecessary-testsuite-autopkgtest-header
  * Bump Standards-Version to 4.1.1
  * Bump debhelper compat to 10
  * Add patch to fix sphinx deprecation warning
  * d/watch: use github release with signature
  * Use pristine-tar to keep exact upstream tar
  * Fix package homepage
  * Initial release on Debian (Closes: #878029)

 -- Alexis Murzeau <amubtdx@outlook.fr>  Wed, 11 Oct 2017 21:36:13 +0200

streamlink (0.8.1-1) unstable; urgency=low

  * New upstream version 0.8.1
  * websocket-client: add new required dependency
  * pycountry: require >= 16.10.23 to have lookup method
  * Bump standard version to 4.0.0
  * Add autopkgtest: run testsuite on installed package
  * Update patches:
    - docs/cli.rst: fix generated manpage warning
    - pycountry: drop patch, pycountry package is new enough now

 -- Alexis Murzeau <amubtdx@outlook.fr>  Sun, 17 Sep 2017 00:53:26 +0200

streamlink (0.7.0-1) unstable; urgency=low

  * New upstream version 0.7.0
  * remove_new_version_check: refresh patch

 -- Alexis Murzeau <amubtdx@outlook.fr>  Fri, 30 Jun 2017 23:21:19 +0200

streamlink (0.6.0-2) unstable; urgency=low

  * Use fonts from fonts-font-awesome

 -- Alexis Murzeau <amubtdx@outlook.fr>  Sun, 28 May 2017 16:36:32 +0200

streamlink (0.6.0-1) unstable; urgency=low

  * New upstream version 0.6.0
    - Drop recommends on python3-librtmp
  * bintray: upload all .changes files but .buildinfo

 -- Alexis Murzeau <amubtdx@outlook.fr>  Sat, 13 May 2017 00:56:00 +0200

streamlink (0.5.0-2) unstable; urgency=low

  * Use reproducible gzip compression level
  * Deploy on bintray instead of github

 -- Alexis Murzeau <amubtdx@outlook.fr>  Sun, 07 May 2017 00:45:26 +0200

streamlink (0.5.0-1) unstable; urgency=low

  * Initial release

 -- Alexis Murzeau <amubtdx@outlook.fr>  Tue, 02 May 2017 22:24:07 +0200

=== debian/control ===
Source: streamlink
Maintainer: Alexis Murzeau <amubtdx@gmail.com>
Section: python
Priority: optional
Standards-Version: 4.1.2
Build-Depends: debhelper (>= 10),
 dh-python,
 python3 (>= 3.4),
 python3-setuptools,
 python3-sphinx,
 python3-requests (>= 1.0),
 python3-pycountry (>= 16.10.23),
 python3-crypto,
 python3-pytest,
 python3-mock,
 python3-websocket,
 python3-docutils
X-Python3-Version: >= 3.4
Homepage: https://streamlink.github.io/
Vcs-Git: https://github.com/amurzeau/streamlink.git
Vcs-Browser: https://github.com/amurzeau/streamlink

Package: python3-streamlink
Architecture: all
Depends: ${misc:Depends},
 ${python3:Depends}
Recommends: rtmpdump,
  ffmpeg,
  python3-socks
Suggests: streamlink, python3-streamlink-doc
Description: Python module for extracting video streams from various websites
 Streamlink is a CLI utility that pipes flash videos from online streaming
 services to a variety of video players such as VLC, or alternatively, a
 browser.
 The main purpose of streamlink is to convert CPU-heavy flash plugins to a
 less CPU-intensive format.
 .
 Streamlink is a fork of the Livestreamer project.
 .
 Please consider donating or paying for subscription services when they are
 available for the content you consume and enjoy.
 .
 This package makes Streamlink APIs accessible in Python 3.

Package: python3-streamlink-doc
Section: doc
Architecture: all
Depends: ${sphinxdoc:Depends},
  ${misc:Depends},
  libjs-modernizr,
  fonts-font-awesome
Recommends: fonts-lato,
  fonts-inconsolata,
  fonts-roboto-slab
Built-Using: ${sphinxdoc:Built-Using}
Suggests: python3-streamlink
Description: CLI for extracting video streams from various websites (documentation)
 Streamlink is a CLI utility that pipes flash videos from online streaming
 services to a variety of video players such as VLC, or alternatively, a
 browser.
 The main purpose of streamlink is to convert CPU-heavy flash plugins to a
 less CPU-intensive format.
 .
 Streamlink is a fork of the Livestreamer project.
 .
 Please consider donating or paying for subscription services when they are
 available for the content you consume and enjoy.
 .
 This package contains the Streamlink usage, API and plugins
 documentation in HTML format.

Package: streamlink
Section: video
Architecture: all
Depends: ${misc:Depends},
  ${python3:Depends},
  python3-streamlink (= ${source:Version})
Description: CLI for extracting video streams from various websites to a video player
 Streamlink is a CLI utility that pipes flash videos from online streaming
 services to a variety of video players such as VLC, or alternatively, a
 browser.
 The main purpose of streamlink is to convert CPU-heavy flash plugins to a
 less CPU-intensive format.
 .
 Streamlink is a fork of the Livestreamer project.
 .
 Please consider donating or paying for subscription services when they are
 available for the content you consume and enjoy.

Package: livestreamer
Section: oldlibs
Architecture: all
Depends: streamlink, ${misc:Depends}
Description: transitional package - streamlink
 This is a transitional package. It can safely be removed.
 .
 livestreamer development is not active anymore and has been forked by
 streamlink.

=== debian/rules ===
#! /usr/bin/make -f

#export DH_VERBOSE=1

# Place streamlink executable in the correct place right away.
export PYBUILD_INSTALL_ARGS_python3 = --install-scripts usr/share/streamlink/

# Debian have a python3-pycountry package but not a iso3166 package so use pycountry.
export STREAMLINK_USE_PYCOUNTRY=1

# Debian have python3-crypto for pycrypto, use it instead of pycryptodome
export STREAMLINK_USE_PYCRYPTO=1

# Ensure no internet access
export http_proxy=127.0.0.1:9
export https_proxy=127.0.0.1:9

# Provides DEB_VERSION
include /usr/share/dpkg/pkg-info.mk

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_install:
	python3 setup.py build_sphinx -b man
	python3 setup.py build_sphinx -b html
	dh_auto_install

# Needed to prevent docs/changelog.html from being compressed
override_dh_compress:
	dh_compress -X.html

# livestreamer transitional package need to have a greater version than the
# existing package version in stable which has version 1.12.2-1.
override_dh_gencontrol:
	dh_gencontrol -plivestreamer -- -v1.12.2+streamlink+$(DEB_VERSION)
	dh_gencontrol --remaining-packages

override_dh_installchangelogs:
	dh_installchangelogs CHANGELOG.rst

# Use gzip format in .deb, bintray does not support .xz format
override_dh_builddeb:
	dh_builddeb -- -Zgzip

=== debian/tests/control ===
Test-Command: PYTHONPATH=/usr/share/streamlink pytest-3 tests
Depends: streamlink, python3-pytest, python3-mock

## streamlink 0.10.0+dfsg

=== debian/changelog ===
streamlink (0.10.0+dfsg-1) unstable; urgency=low

  * Bump standard version to 4.1.3, no change required
  * Bump debhelper compat to 11
  * Add upstream metadata in d/u/metadata
  * Add information about binary packages in d/README.source
  * Add autopkgtest tests running streamlink via cli
  * Remove dh_builddeb override, not needed in Debian
  * Update d/copyrights to 2018
  * Remove proxy in d/rules (already handled by pybuild)
  * Fix bad git repository in VCS fields of d/control
  * New upstream version 0.10.0+dfsg
  * Apply check-all-the-things suggestions on debian/ folder

 -- Alexis Murzeau <amubtdx@gmail.com>  Tue, 23 Jan 2018 23:55:45 +0100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Maintainer: Alexis Murzeau <amubtdx@gmail.com>
 Section: python
 Priority: optional
-Standards-Version: 4.1.2
-Build-Depends: debhelper (>= 10),
+Standards-Version: 4.1.3
+Build-Depends: debhelper (>= 11),
  dh-python,
  python3 (>= 3.4),
  python3-setuptools,
@@ -13,12 +13,13 @@
  python3-crypto,
  python3-pytest,
  python3-mock,
+ python3-requests-mock,
  python3-websocket,
  python3-docutils
 X-Python3-Version: >= 3.4
 Homepage: https://streamlink.github.io/
-Vcs-Git: https://github.com/amurzeau/streamlink.git
-Vcs-Browser: https://github.com/amurzeau/streamlink
+Vcs-Git: https://github.com/amurzeau/streamlink-debian.git
+Vcs-Browser: https://github.com/amurzeau/streamlink-debian
 
 Package: python3-streamlink
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -1,19 +1,17 @@
 #! /usr/bin/make -f
-
-#export DH_VERBOSE=1
 
 # Place streamlink executable in the correct place right away.
 export PYBUILD_INSTALL_ARGS_python3 = --install-scripts usr/share/streamlink/
 
-# Debian have a python3-pycountry package but not a iso3166 package so use pycountry.
+# Debian have a python3-pycountry package but not a iso3166 package so use
+# pycountry.
 export STREAMLINK_USE_PYCOUNTRY=1
 
-# Debian have python3-crypto for pycrypto, use it instead of pycryptodome
+# Debian have python3-crypto for pycrypto, use it instead of
+# python3-pycryptodome.
+# That package contains pycryptodomex Python module instead of pycryptodome,
+# with which streamlink is not compatible.
 export STREAMLINK_USE_PYCRYPTO=1
-
-# Ensure no internet access
-export http_proxy=127.0.0.1:9
-export https_proxy=127.0.0.1:9
 
 # Provides DEB_VERSION
 include /usr/share/dpkg/pkg-info.mk
@@ -38,7 +36,3 @@
 
 override_dh_installchangelogs:
 	dh_installchangelogs CHANGELOG.rst
-
-# Use gzip format in .deb, bintray does not support .xz format
-override_dh_builddeb:
-	dh_builddeb -- -Zgzip

=== debian/tests/control ===
# Run unit tests against installed streamlink package
Test-Command: PYTHONPATH=/usr/share/streamlink pytest-3 tests
Depends: streamlink, python3-pytest, python3-mock, python3-requests-mock

# Test streamlink against a generated on-disk HLS stream
Test-Command: sh debian/tests/do-test.sh streamlink
Depends: streamlink, openssl, bsdmainutils
Restrictions: allow-stderr

# Same test using livestreamer (which has a transitional package to streamlink)
Test-Command: sh debian/tests/do-test.sh livestreamer
Depends: livestreamer, openssl, bsdmainutils
Restrictions: allow-stderr

## streamlink 0.11.0+dfsg

=== debian/changelog ===
streamlink (0.11.0+dfsg-1~bpo9+1) stretch-backports; urgency=low

  * Rebuild for stretch-backports.

 -- Alexis Murzeau <amubtdx@gmail.com>  Sat, 10 Mar 2018 00:46:13 +0100

streamlink (0.11.0+dfsg-1) unstable; urgency=low

  * Fix comments in d/rules.
  * Use streamlink's own donation page instead of opencollective one.
  * Fix random test failure caused by hexdump output optimization with
     wildcards.
  * Add example directory.
  * New upstream version 0.11.0+dfsg.
  * python3-socks is now required as a build dependency.

 -- Alexis Murzeau <amubtdx@gmail.com>  Fri, 09 Mar 2018 00:12:49 +0100

streamlink (0.10.0+dfsg-1~bpo9+1) stretch-backports; urgency=low

  * Rebuild for stretch-backports.
  * Use debhelper 10 as 11 is not available.
  * Override dh_builddeb to use gzip compression (needed for bintray)

 -- Alexis Murzeau <amubtdx@gmail.com>  Sun, 28 Jan 2018 12:00:30 +0100

streamlink (0.9.0-1~bpo9+1) stretch-backports; urgency=low

  * Rebuild for stretch-backports.

 -- Alexis Murzeau <amubtdx@gmail.com>  Thu, 16 Nov 2017 23:39:56 +0100

streamlink (0.8.1-1~bpo9+1) stretch-backports; urgency=low

  * Rebuild for stretch-backports.
  * pycountry: add patch to support stable provided version (1.8)
  * d/control: require pycountry <= 1.15

 -- Alexis Murzeau <amubtdx@outlook.fr>  Sun, 17 Sep 2017 02:07:59 +0200

=== debian/control ===
--- 
+++ 
@@ -3,19 +3,20 @@
 Section: python
 Priority: optional
 Standards-Version: 4.1.3
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper (>= 10),
  dh-python,
  python3 (>= 3.4),
  python3-setuptools,
  python3-sphinx,
  python3-requests (>= 1.0),
- python3-pycountry (>= 16.10.23),
+ python3-pycountry (<= 1.15),
  python3-crypto,
  python3-pytest,
  python3-mock,
  python3-requests-mock,
  python3-websocket,
- python3-docutils
+ python3-docutils,
+ python3-socks
 X-Python3-Version: >= 3.4
 Homepage: https://streamlink.github.io/
 Vcs-Git: https://github.com/amurzeau/streamlink-debian.git
@@ -26,8 +27,7 @@
 Depends: ${misc:Depends},
  ${python3:Depends}
 Recommends: rtmpdump,
-  ffmpeg,
-  python3-socks
+  ffmpeg
 Suggests: streamlink, python3-streamlink-doc
 Description: Python module for extracting video streams from various websites
  Streamlink is a CLI utility that pipes flash videos from online streaming

## streamlink 0.12.1+dfsg

=== debian/changelog ===
streamlink (0.12.1+dfsg-1) unstable; urgency=low

  * Recommends vlc as default player
  * Test manpage and docs installation
  * New upstream version 0.12.1+dfsg
  * Bump standard version to 4.1.4, no change required
  * Remove X-Python3-Version not needed anymore

 -- Alexis Murzeau <amubtdx@gmail.com>  Thu, 10 May 2018 00:45:54 +0200

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,14 @@
 Maintainer: Alexis Murzeau <amubtdx@gmail.com>
 Section: python
 Priority: optional
-Standards-Version: 4.1.3
-Build-Depends: debhelper (>= 10),
+Standards-Version: 4.1.4
+Build-Depends: debhelper (>= 11),
  dh-python,
  python3 (>= 3.4),
  python3-setuptools,
  python3-sphinx,
  python3-requests (>= 1.0),
- python3-pycountry (<= 1.15),
+ python3-pycountry (>= 16.10.23),
  python3-crypto,
  python3-pytest,
  python3-mock,
@@ -17,7 +17,6 @@
  python3-websocket,
  python3-docutils,
  python3-socks
-X-Python3-Version: >= 3.4
 Homepage: https://streamlink.github.io/
 Vcs-Git: https://github.com/amurzeau/streamlink-debian.git
 Vcs-Browser: https://github.com/amurzeau/streamlink-debian
@@ -76,6 +75,7 @@
 Depends: ${misc:Depends},
   ${python3:Depends},
   python3-streamlink (= ${source:Version})
+Recommends: vlc
 Description: CLI for extracting video streams from various websites to a video player
  Streamlink is a CLI utility that pipes flash videos from online streaming
  services to a variety of video players such as VLC, or alternatively, a

=== debian/rules ===
#! /usr/bin/make -f

# Place streamlink executable in the correct place right away.
export PYBUILD_INSTALL_ARGS_python3 = --install-scripts usr/share/streamlink/

# Debian has a python3-pycountry package but not a iso639 package so use
# pycountry.
export STREAMLINK_USE_PYCOUNTRY=1

# Debian has python3-crypto for pycrypto, use it instead of
# python3-pycryptodome.
# python3-pycryptodome contains pycryptodomex Python module instead of
# pycryptodome, with which streamlink is not compatible.
export STREAMLINK_USE_PYCRYPTO=1

# Provides DEB_VERSION
include /usr/share/dpkg/pkg-info.mk

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_install:
	python3 setup.py build_sphinx -b man
	python3 setup.py build_sphinx -b html
	dh_auto_install

# Explicitly uses CHANGELOG.rst instead of docs/changelog.rst (the default
# file used by dh_installchangelogs)
override_dh_installchangelogs:
	dh_installchangelogs CHANGELOG.rst

# Needed to prevent docs/changelog.html from being compressed
override_dh_compress:
	dh_compress -X.html

# livestreamer transitional package needs to have a greater version than the
# existing package version in stable which has version 1.12.2-1.
override_dh_gencontrol:
	dh_gencontrol -plivestreamer -- -v1.12.2+streamlink+$(DEB_VERSION)
	dh_gencontrol --remaining-packages

=== debian/tests/control ===
# Run unit tests against installed streamlink package
Test-Command: PYTHONPATH=/usr/share/streamlink pytest-3 tests
Depends: streamlink, python3-pytest, python3-mock, python3-requests-mock

# Test streamlink against a generated on-disk HLS stream
Test-Command: sh debian/tests/do-test.sh streamlink && sh debian/tests/check_manpage.sh streamlink
Depends: streamlink, openssl, bsdmainutils, man-db
Restrictions: allow-stderr

# Same test using livestreamer (which has a transitional package to streamlink)
Test-Command: sh debian/tests/do-test.sh livestreamer && sh debian/tests/check_manpage.sh livestreamer
Depends: livestreamer, openssl, bsdmainutils, man-db
Restrictions: allow-stderr

# Test doc package
Test-Command: sh debian/tests/check_docs.sh
Depends: python3-streamlink-doc

## streamlink 0.13.0+dfsg

=== debian/changelog ===
streamlink (0.13.0+dfsg-1) unstable; urgency=low

  * Recommends all supported players (Closes: #898351)
  * Update upstream signing key with 0xE3DB9E282E390FA0
  * New upstream version 0.13.0+dfsg
  * Patches changes:
    - Use font-awesome 5 shim
    - Use modernizr.js symlink
    - Fix tests executions by adding missing mpd files
    - Avoid lambda with freezegun to support <= v0.3.9
    - rtlxl plugin: use raw string to fix escape sequences
    - Forwarded new patches to upstream
    - Update patch remove_new_version_check
  * Add new build dependencies freezegun, recommonmark and isodate
  * Update autopkgtests for font files and js symlinks

 -- Alexis Murzeau <amubtdx@gmail.com>  Tue, 12 Jun 2018 23:52:56 +0200

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,10 @@
  python3-requests-mock,
  python3-websocket,
  python3-docutils,
- python3-socks
+ python3-socks,
+ python3-freezegun,
+ python3-recommonmark,
+ python3-isodate
 Homepage: https://streamlink.github.io/
 Vcs-Git: https://github.com/amurzeau/streamlink-debian.git
 Vcs-Browser: https://github.com/amurzeau/streamlink-debian
@@ -75,7 +78,7 @@
 Depends: ${misc:Depends},
   ${python3:Depends},
   python3-streamlink (= ${source:Version})
-Recommends: vlc
+Recommends: vlc | mpv | mplayer | omxplayer
 Description: CLI for extracting video streams from various websites to a video player
  Streamlink is a CLI utility that pipes flash videos from online streaming
  services to a variety of video players such as VLC, or alternatively, a

=== debian/tests/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # Run unit tests against installed streamlink package
 Test-Command: PYTHONPATH=/usr/share/streamlink pytest-3 tests
-Depends: streamlink, python3-pytest, python3-mock, python3-requests-mock
+Depends: streamlink, python3-pytest, python3-mock, python3-requests-mock, python3-freezegun
 
 # Test streamlink against a generated on-disk HLS stream
 Test-Command: sh debian/tests/do-test.sh streamlink && sh debian/tests/check_manpage.sh streamlink

=== debian/watch ===
version=4
opts="repacksuffix=+dfsg,repack,compression=xz,dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,uversionmangle=s/(rc|a|b|c)/~$1/,pgpsigurlmangle=s/$/.asc/" \
  https://github.com/streamlink/streamlink/releases .*/streamlink-(\d\S+)\.tar\.gz

## streamlink 0.14.2+dfsg

=== debian/changelog ===
streamlink (0.14.2+dfsg-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.
  * pybuild test: implement d/pybuild.testfiles in d/rules

 -- Alexis Murzeau <amubtdx@gmail.com>  Mon, 09 Jul 2018 23:49:53 +0200

streamlink (0.14.2+dfsg-1) unstable; urgency=low

  * New upstream version 0.14.2+dfsg

 -- Alexis Murzeau <amubtdx@gmail.com>  Sun, 01 Jul 2018 00:48:11 +0200

streamlink (0.14.0+dfsg-1) unstable; urgency=low

  * tests: fix shellcheck warnings
  * docs: move fonts-font-awesome and lib-modernizr to recommends
  * docs: revert to fonts-font-awesome v4
  * tests: check modernizr symlink in check_docs and refactor it
  * New upstream version 0.14.0+dfsg
  * Remove patches applied upstream: freezegun, missing test files,
    escape sequences
  * Update patches

 -- Alexis Murzeau <amubtdx@gmail.com>  Fri, 29 Jun 2018 00:16:46 +0200

streamlink (0.12.1+dfsg-1~bpo9+1) stretch-backports; urgency=low

  * Rebuild for stretch-backports.
  * Recommends all supported players (suggested by #898351)

 -- Alexis Murzeau <amubtdx@gmail.com>  Sun, 20 May 2018 21:12:22 +0200

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Section: python
 Priority: optional
 Standards-Version: 4.1.4
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper (>= 10),
  dh-python,
  python3 (>= 3.4),
  python3-setuptools,
  python3-sphinx,
  python3-requests (>= 1.0),
- python3-pycountry (>= 16.10.23),
+ python3-pycountry (<= 1.15),
  python3-crypto,
  python3-pytest,
  python3-mock,
@@ -50,11 +50,11 @@
 Architecture: all
 Depends: ${sphinxdoc:Depends},
   ${misc:Depends},
-  libjs-modernizr,
-  fonts-font-awesome
 Recommends: fonts-lato,
   fonts-inconsolata,
-  fonts-roboto-slab
+  fonts-roboto-slab,
+  fonts-font-awesome,
+  libjs-modernizr
 Built-Using: ${sphinxdoc:Built-Using}
 Suggests: python3-streamlink
 Description: CLI for extracting video streams from various websites (documentation)

## streamlink 1.0.0+dfsg

=== debian/changelog ===
streamlink (1.0.0+dfsg-1) unstable; urgency=medium

  * docs: mark Multi-Arch: foreign
  * Update d/copyright years to 2019
  * Bump standard version to 4.3.0, no change required
  * New upstream version 1.0.0+dfsg
  * Update patch remove_new_version_check
  * Update d/README.source to use gbp pq

 -- Alexis Murzeau <amubtdx@gmail.com>  Thu, 31 Jan 2019 20:09:50 +0100

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,14 @@
 Maintainer: Alexis Murzeau <amubtdx@gmail.com>
 Section: python
 Priority: optional
-Standards-Version: 4.1.4
-Build-Depends: debhelper (>= 10),
+Standards-Version: 4.3.0
+Build-Depends: debhelper (>= 11),
  dh-python,
  python3 (>= 3.4),
  python3-setuptools,
  python3-sphinx,
  python3-requests (>= 1.0),
- python3-pycountry (<= 1.15),
+ python3-pycountry (>= 16.10.23),
  python3-crypto,
  python3-pytest,
  python3-mock,
@@ -48,6 +48,7 @@
 Package: python3-streamlink-doc
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Depends: ${sphinxdoc:Depends},
   ${misc:Depends},
 Recommends: fonts-lato,

=== debian/rules ===
--- 
+++ 
@@ -24,10 +24,10 @@
 	python3 setup.py build_sphinx -b html
 	dh_auto_install
 
-# Explicitly uses CHANGELOG.rst instead of docs/changelog.rst (the default
+# Explicitly uses CHANGELOG.md instead of docs/changelog.md (the default
 # file used by dh_installchangelogs)
 override_dh_installchangelogs:
-	dh_installchangelogs CHANGELOG.rst
+	dh_installchangelogs CHANGELOG.md
 
 # Needed to prevent docs/changelog.html from being compressed
 override_dh_compress:

=== debian/tests/control ===
--- 
+++ 
@@ -13,5 +13,5 @@
 Restrictions: allow-stderr
 
 # Test doc package
-Test-Command: sh debian/tests/check_docs.sh
-Depends: python3-streamlink-doc
+Test-Command: bash debian/tests/check_docs.sh
+Depends: bash, python3-streamlink-doc, fonts-font-awesome, libjs-modernizr

## streamlink 1.1.1+dfsg

=== debian/changelog ===
streamlink (1.1.1+dfsg-1) unstable; urgency=medium

  * Use ignore-branch instead of having different gbp.conf over branches
  * Bump standard version to 4.4.0, no change required
  * Bump debhelper compat to 12
  * Remove livestreamer transitional package
  * Merge changes in experimental to unstable

 -- Alexis Murzeau <amubtdx@gmail.com>  Tue, 16 Jul 2019 22:39:58 +0200

streamlink (1.1.1+dfsg-1~exp1) experimental; urgency=low

  * New upstream version 1.1.1+dfsg
  * Update patch remove_new_version_check

 -- Alexis Murzeau <amubtdx@gmail.com>  Wed, 19 Jun 2019 21:58:59 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Maintainer: Alexis Murzeau <amubtdx@gmail.com>
 Section: python
 Priority: optional
-Standards-Version: 4.3.0
-Build-Depends: debhelper (>= 11),
+Standards-Version: 4.4.0
+Build-Depends: debhelper (>= 12),
  dh-python,
  python3 (>= 3.4),
  python3-setuptools,
@@ -91,13 +91,3 @@
  .
  Please consider donating or paying for subscription services when they are
  available for the content you consume and enjoy.
-
-Package: livestreamer
-Section: oldlibs
-Architecture: all
-Depends: streamlink, ${misc:Depends}
-Description: transitional package - streamlink
- This is a transitional package. It can safely be removed.
- .
- livestreamer development is not active anymore and has been forked by
- streamlink.

=== debian/rules ===
--- 
+++ 
@@ -32,9 +32,3 @@
 # Needed to prevent docs/changelog.html from being compressed
 override_dh_compress:
 	dh_compress -X.html
-
-# livestreamer transitional package needs to have a greater version than the
-# existing package version in stable which has version 1.12.2-1.
-override_dh_gencontrol:
-	dh_gencontrol -plivestreamer -- -v1.12.2+streamlink+$(DEB_VERSION)
-	dh_gencontrol --remaining-packages

## streamlink 1.2.0+dfsg

=== debian/changelog ===
streamlink (1.2.0+dfsg-1) unstable; urgency=medium

  * New upstream version 1.2.0+dfsg
  * Update remove_new_version_check patch
  * Move from PyCrypto to pycryptodomex
  * Fix typo in manpage with patch plugins.pixiv-fix-doc-typo-thats-that-s

 -- Alexis Murzeau <amubtdx@gmail.com>  Fri, 23 Aug 2019 19:31:42 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  python3-sphinx,
  python3-requests (>= 1.0),
  python3-pycountry (>= 16.10.23),
- python3-crypto,
+ python3-pycryptodome,
  python3-pytest,
  python3-mock,
  python3-requests-mock,

## streamlink 1.3.0+dfsg

=== debian/changelog ===
streamlink (1.3.0+dfsg-1) unstable; urgency=medium

  * Vcs-Git: move from github to salsa
  * New upstream version 1.3.0+dfsg
  * Remove pixiv typo patch, applied upstream
  * Bump standard version to 4.4.1, no change required
  * Use debhelper-compat in B-D instead of d/compat
  * Add "Rules-Requires-Root: no" in d/rules

 -- Alexis Murzeau <amubtdx@gmail.com>  Sun, 24 Nov 2019 20:09:58 +0100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Maintainer: Alexis Murzeau <amubtdx@gmail.com>
 Section: python
 Priority: optional
-Standards-Version: 4.4.0
-Build-Depends: debhelper (>= 12),
+Standards-Version: 4.4.1
+Build-Depends: debhelper-compat (= 12),
  dh-python,
  python3 (>= 3.4),
  python3-setuptools,
@@ -21,8 +21,9 @@
  python3-recommonmark,
  python3-isodate
 Homepage: https://streamlink.github.io/
-Vcs-Git: https://github.com/amurzeau/streamlink-debian.git
-Vcs-Browser: https://github.com/amurzeau/streamlink-debian
+Vcs-Git: https://salsa.debian.org/amurzeau-guest/streamlink.git
+Vcs-Browser: https://salsa.debian.org/amurzeau-guest/streamlink
+Rules-Requires-Root: no
 
 Package: python3-streamlink
 Architecture: all

## streamlink 1.3.1%2Bdfsg

=== debian/changelog ===
streamlink (1.3.1+dfsg-1) unstable; urgency=medium

  * New upstream version 1.3.1+dfsg
  * Update d/copyright years to 2020
  * Add patch to remove external images in html documentation
  * Bump Standards-Version to 4.5.0 (no changes)

 -- Alexis Murzeau <amubtdx@gmail.com>  Wed, 29 Jan 2020 22:34:41 +0100

## streamlink 1.3.1+dfsg

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Maintainer: Alexis Murzeau <amubtdx@gmail.com>
 Section: python
 Priority: optional
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Build-Depends: debhelper-compat (= 12),
  dh-python,
  python3 (>= 3.4),

=== debian/rules ===
--- 
+++ 
@@ -6,12 +6,6 @@
 # Debian has a python3-pycountry package but not a iso639 package so use
 # pycountry.
 export STREAMLINK_USE_PYCOUNTRY=1
-
-# Debian has python3-crypto for pycrypto, use it instead of
-# python3-pycryptodome.
-# python3-pycryptodome contains pycryptodomex Python module instead of
-# pycryptodome, with which streamlink is not compatible.
-export STREAMLINK_USE_PYCRYPTO=1
 
 # Provides DEB_VERSION
 include /usr/share/dpkg/pkg-info.mk

=== debian/tests/control ===
--- 
+++ 
@@ -7,11 +7,6 @@
 Depends: streamlink, openssl, bsdmainutils, man-db
 Restrictions: allow-stderr
 
-# Same test using livestreamer (which has a transitional package to streamlink)
-Test-Command: sh debian/tests/do-test.sh livestreamer && sh debian/tests/check_manpage.sh livestreamer
-Depends: livestreamer, openssl, bsdmainutils, man-db
-Restrictions: allow-stderr
-
 # Test doc package
 Test-Command: bash debian/tests/check_docs.sh
 Depends: bash, python3-streamlink-doc, fonts-font-awesome, libjs-modernizr

## streamlink 1.4.1+dfsg

=== debian/changelog ===
streamlink (1.4.1+dfsg-2) unstable; urgency=medium

  [ Lukas Märdian ]
  * doc: adopt link target of font-awesome files (Closes: #963757)
    - fonts-font-awesome 5.0.10+really4.7.0~dfsg-2 provides only OpenType
      and TrueType under /usr/share/fonts/

 -- Alexis Murzeau <amubtdx@gmail.com>  Tue, 30 Jun 2020 23:55:57 +0200

streamlink (1.4.1+dfsg-1) unstable; urgency=medium

  * New upstream version 1.4.1+dfsg
  * Remove upstreamed patch and update others
  * d/control: update description

 -- Alexis Murzeau <amubtdx@gmail.com>  Sat, 25 Apr 2020 15:28:44 +0200

streamlink (1.3.1+dfsg-2) unstable; urgency=medium

  * d/rules: run dh_link at install time to satisfy dh_sphinxdoc sanity checks
    This fixes the build with sphinx 2.4 (Closes: #955060)

  * docs: fix warnings with sphinx 2.4

 -- Alexis Murzeau <amubtdx@gmail.com>  Sat, 04 Apr 2020 18:10:52 +0200

=== debian/control ===
--- 
+++ 
@@ -21,8 +21,8 @@
  python3-recommonmark,
  python3-isodate
 Homepage: https://streamlink.github.io/
-Vcs-Git: https://salsa.debian.org/amurzeau-guest/streamlink.git
-Vcs-Browser: https://salsa.debian.org/amurzeau-guest/streamlink
+Vcs-Git: https://salsa.debian.org/amurzeau/streamlink.git
+Vcs-Browser: https://salsa.debian.org/amurzeau/streamlink
 Rules-Requires-Root: no
 
 Package: python3-streamlink
@@ -33,11 +33,10 @@
   ffmpeg
 Suggests: streamlink, python3-streamlink-doc
 Description: Python module for extracting video streams from various websites
- Streamlink is a CLI utility that pipes flash videos from online streaming
- services to a variety of video players such as VLC, or alternatively, a
- browser.
- The main purpose of streamlink is to convert CPU-heavy flash plugins to a
- less CPU-intensive format.
+ Streamlink is a CLI utility which pipes video streams from various services
+ into a video player, such as VLC.
+ The main purpose of streamlink is to avoid resource-heavy and unoptimized
+ websites, while still allowing the user to enjoy various streamed content.
  .
  Streamlink is a fork of the Livestreamer project.
  .
@@ -60,11 +59,10 @@
 Built-Using: ${sphinxdoc:Built-Using}
 Suggests: python3-streamlink
 Description: CLI for extracting video streams from various websites (documentation)
- Streamlink is a CLI utility that pipes flash videos from online streaming
- services to a variety of video players such as VLC, or alternatively, a
- browser.
- The main purpose of streamlink is to convert CPU-heavy flash plugins to a
- less CPU-intensive format.
+ Streamlink is a CLI utility which pipes video streams from various services
+ into a video player, such as VLC.
+ The main purpose of streamlink is to avoid resource-heavy and unoptimized
+ websites, while still allowing the user to enjoy various streamed content.
  .
  Streamlink is a fork of the Livestreamer project.
  .
@@ -82,11 +80,10 @@
   python3-streamlink (= ${source:Version})
 Recommends: vlc | mpv | mplayer | omxplayer
 Description: CLI for extracting video streams from various websites to a video player
- Streamlink is a CLI utility that pipes flash videos from online streaming
- services to a variety of video players such as VLC, or alternatively, a
- browser.
- The main purpose of streamlink is to convert CPU-heavy flash plugins to a
- less CPU-intensive format.
+ Streamlink is a CLI utility which pipes video streams from various services
+ into a video player, such as VLC.
+ The main purpose of streamlink is to avoid resource-heavy and unoptimized
+ websites, while still allowing the user to enjoy various streamed content.
  .
  Streamlink is a fork of the Livestreamer project.
  .

## streamlink 1.5.0%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Section: python
 Priority: optional
 Standards-Version: 4.5.0
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper,
  dh-python,
  python3 (>= 3.4),
  python3-setuptools,

=== debian/rules ===
--- 
+++ 
@@ -17,6 +17,10 @@
 	python3 setup.py build_sphinx -b man
 	python3 setup.py build_sphinx -b html
 	dh_auto_install
+	# Call dh_link here so symlinks (like modernizer) are available when dh_sphinxdoc
+	# is run. dh_sphinxdoc will do a sanity check that check that js scripts
+	# referenced by search.html exist.
+	dh_link
 
 # Explicitly uses CHANGELOG.md instead of docs/changelog.md (the default
 # file used by dh_installchangelogs)

## streamlink 1.5.0+dfsg

=== debian/changelog ===
streamlink (1.5.0+dfsg-1) unstable; urgency=medium

  * New upstream version 1.5.0+dfsg
  * Update patch remove_new_version_check
  * Update debhelper compat to 13

 -- Alexis Murzeau <amubtdx@gmail.com>  Sun, 19 Jul 2020 22:28:57 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Section: python
 Priority: optional
 Standards-Version: 4.5.0
-Build-Depends: debhelper,
+Build-Depends: debhelper-compat (= 13),
  dh-python,
  python3 (>= 3.4),
  python3-setuptools,

## streamlink 1.7.0+dfsg

=== debian/changelog ===
streamlink (1.7.0+dfsg-1) unstable; urgency=medium

  * New upstream version 1.7.0+dfsg
  * Update patches

 -- Alexis Murzeau <amubtdx@gmail.com>  Tue, 20 Oct 2020 23:59:16 +0200

streamlink (1.6.0+dfsg-1) unstable; urgency=medium

  * New upstream version 1.6.0+dfsg
  * Update patches
  * Update patch 0009-docs-replace-deprecated-source_parsers with
    the use of recommonmark 0.5.0+ as a sphinx extension.
  * d/control: require recommonmark >= 0.5.0 to be able to use it as
    an extension (previous versions don't support it).

 -- Alexis Murzeau <amubtdx@gmail.com>  Sat, 26 Sep 2020 00:55:56 +0200

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
  python3-docutils,
  python3-socks,
  python3-freezegun,
- python3-recommonmark,
+ python3-recommonmark (>= 0.5.0),
  python3-isodate
 Homepage: https://streamlink.github.io/
 Vcs-Git: https://salsa.debian.org/amurzeau/streamlink.git

## streamlink 2.0.0

=== debian/changelog ===
streamlink (2.0.0-1) unstable; urgency=medium

  * New upstream version 2.0.0
  * debian/*: update patches, control, tests to replace new furo theme
  * debian/patches: update patches
  * examples: use python3 interpreter instead of python
  * Bump Standards-Version to 4.5.1 (no changes)
  * debian/watch: removing repacking as not needed anymore
  * Add patch to use icons from font awesome 4 instead of font awesome 5

 -- Alexis Murzeau <amubtdx@gmail.com>  Fri, 25 Dec 2020 23:28:50 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Maintainer: Alexis Murzeau <amubtdx@gmail.com>
 Section: python
 Priority: optional
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Build-Depends: debhelper-compat (= 13),
  dh-python,
  python3 (>= 3.4),
@@ -19,7 +19,8 @@
  python3-socks,
  python3-freezegun,
  python3-recommonmark (>= 0.5.0),
- python3-isodate
+ python3-isodate,
+ python3-sphinx-rtd-theme
 Homepage: https://streamlink.github.io/
 Vcs-Git: https://salsa.debian.org/amurzeau/streamlink.git
 Vcs-Browser: https://salsa.debian.org/amurzeau/streamlink
@@ -50,12 +51,7 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${sphinxdoc:Depends},
-  ${misc:Depends},
-Recommends: fonts-lato,
-  fonts-inconsolata,
-  fonts-roboto-slab,
-  fonts-font-awesome,
-  libjs-modernizr
+  ${misc:Depends}
 Built-Using: ${sphinxdoc:Built-Using}
 Suggests: python3-streamlink
 Description: CLI for extracting video streams from various websites (documentation)

=== debian/tests/control ===
--- 
+++ 
@@ -9,4 +9,4 @@
 
 # Test doc package
 Test-Command: bash debian/tests/check_docs.sh
-Depends: bash, python3-streamlink-doc, fonts-font-awesome, libjs-modernizr
+Depends: bash, python3-streamlink-doc

## streamlink 2.4.0

=== debian/changelog ===
streamlink (2.4.0-1) unstable; urgency=medium

  * New upstream version 2.4.0
  * Update patches
  * d/control: add new dependency on python3-lxml
  * Bump Standards-Version to 4.6.0 (no changes)
  * d/tests/check_docs: fix looking for doc-base files by using install-docs
  * d/tests/check_docs.sh: check for broken symlinks
  * Merge changes in experimental to unstable

 -- Alexis Murzeau <amubtdx@gmail.com>  Tue, 21 Sep 2021 21:35:26 +0200

streamlink (2.3.0-1~exp1) experimental; urgency=medium

  * New upstream version 2.3.0
  * Update patches
  * d/control: rearrange dependencies and remove python3-mock
  * d/rules: fix dh_python3 mapping of python3-requests dependency

 -- Alexis Murzeau <amubtdx@gmail.com>  Mon, 09 Aug 2021 00:52:33 +0200

streamlink (2.2.0-1~exp1) experimental; urgency=medium

  * New upstream version 2.2.0
  * Update patches

 -- Alexis Murzeau <amubtdx@gmail.com>  Tue, 22 Jun 2021 00:06:13 +0200

streamlink (2.1.1-1~exp1) experimental; urgency=medium

  * New upstream version 2.1.1
  * Update patches
  * d/copyright: update years to 2021
  * d/patches: add patch to include .removed file in build (required by tests)
  * d/streamlink.manpages: update manpage build location

 -- Alexis Murzeau <amubtdx@gmail.com>  Fri, 26 Mar 2021 23:09:46 +0100

=== debian/control ===
--- 
+++ 
@@ -2,25 +2,28 @@
 Maintainer: Alexis Murzeau <amubtdx@gmail.com>
 Section: python
 Priority: optional
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Build-Depends: debhelper-compat (= 13),
  dh-python,
  python3 (>= 3.4),
- python3-setuptools,
- python3-sphinx,
- python3-requests (>= 1.0),
+# Streamlink dependencies
+ python3-isodate,
  python3-pycountry (>= 16.10.23),
  python3-pycryptodome,
+ python3-requests (>= 1.0),
+ python3-setuptools,
+ python3-socks,
+ python3-websocket,
+ python3-lxml,
+# Documentation dependencies
+ python3-docutils,
+ python3-recommonmark (>= 0.5.0),
+ python3-sphinx,
+ python3-sphinx-rtd-theme,
+# Tests dependencies
+ python3-freezegun,
  python3-pytest,
- python3-mock,
- python3-requests-mock,
- python3-websocket,
- python3-docutils,
- python3-socks,
- python3-freezegun,
- python3-recommonmark (>= 0.5.0),
- python3-isodate,
- python3-sphinx-rtd-theme
+ python3-requests-mock
 Homepage: https://streamlink.github.io/
 Vcs-Git: https://salsa.debian.org/amurzeau/streamlink.git
 Vcs-Browser: https://salsa.debian.org/amurzeau/streamlink

=== debian/rules ===
--- 
+++ 
@@ -17,10 +17,6 @@
 	python3 setup.py build_sphinx -b man
 	python3 setup.py build_sphinx -b html
 	dh_auto_install
-	# Call dh_link here so symlinks (like modernizer) are available when dh_sphinxdoc
-	# is run. dh_sphinxdoc will do a sanity check that check that js scripts
-	# referenced by search.html exist.
-	dh_link
 
 # Explicitly uses CHANGELOG.md instead of docs/changelog.md (the default
 # file used by dh_installchangelogs)
@@ -30,3 +26,7 @@
 # Needed to prevent docs/changelog.html from being compressed
 override_dh_compress:
 	dh_compress -X.html
+
+# Needed to correctly include non-windows dependencies
+override_dh_python3:
+	dh_python3 --depends-section=':platform_system != "Windows"'

## streamlink 3.0.3

=== debian/changelog ===
streamlink (3.0.3-1) unstable; urgency=medium

  * New upstream version 3.0.3
  * Update patches
  * d/rules: remove STREAMLINK_USE_PYCOUNTRY not required anymore
  * d/patches: add patch to fix build with requests < 2.26
  * d/rules: add now required streamlink src to PYTHONPATH
  * d/streamlink.install: install bash and zsh completion scripts
  * d/patches: remove shebang from bash completion script
  * d/control: use dh-sequence instead of --with argument

 -- Alexis Murzeau <amubtdx@gmail.com>  Sat, 04 Dec 2021 18:34:51 +0100

## streamlink 3.1.1

=== debian/changelog ===
streamlink (3.1.1-1) unstable; urgency=medium

  * New upstream version 3.1.1
  * Update patches
  * d/source/lintian-overrides: add changelog and XML test payload
  * d/copyright: update years to 2022

 -- Alexis Murzeau <amubtdx@gmail.com>  Mon, 21 Feb 2022 23:20:14 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,8 @@
 Priority: optional
 Standards-Version: 4.6.0
 Build-Depends: debhelper-compat (= 13),
- dh-python,
+ dh-sequence-python3,
+ dh-sequence-sphinxdoc,
  python3 (>= 3.4),
 # Streamlink dependencies
  python3-isodate,

=== debian/rules ===
--- 
+++ 
@@ -3,19 +3,15 @@
 # Place streamlink executable in the correct place right away.
 export PYBUILD_INSTALL_ARGS_python3 = --install-scripts usr/share/streamlink/
 
-# Debian has a python3-pycountry package but not a iso639 package so use
-# pycountry.
-export STREAMLINK_USE_PYCOUNTRY=1
-
 # Provides DEB_VERSION
 include /usr/share/dpkg/pkg-info.mk
 
 %:
-	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
 override_dh_auto_install:
-	python3 setup.py build_sphinx -b man
-	python3 setup.py build_sphinx -b html
+	PYTHONPATH=src python3 setup.py build_sphinx -b man
+	PYTHONPATH=src python3 setup.py build_sphinx -b html
 	dh_auto_install
 
 # Explicitly uses CHANGELOG.md instead of docs/changelog.md (the default

=== debian/watch ===
version=4
opts="dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,uversionmangle=s/(rc|a|b|c)/~$1/,pgpsigurlmangle=s/$/.asc/" \
  https://github.com/streamlink/streamlink/releases .*/streamlink-(\d\S+)\.tar\.gz
